> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product source

> Retrieves the `source` parameters that were passed when activating the Text product.



## OpenAPI

````yaml /api/configuration/v3.7/openapi.json post /action/get_product_source
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.7
servers:
  - url: https://api.livechatinc.com/v3.7/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/get_product_source:
    post:
      tags:
        - Other
      summary: Get product source
      description: >-
        Retrieves the `source` parameters that were passed when activating the
        Text product.
      operationId: get-product-source
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          description: The product source parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProductSourceResponse'
              example:
                source_id: create_account_link
                source_type: accounts
                source_url: https://accounts.livechat.com
components:
  schemas:
    GetProductSourceResponse:
      type: object
      properties:
        source_id:
          type: string
          description: The source ID parameter passed when activating the Text product.
        source_type:
          type: string
          description: The source type parameter passed when activating the Text product.
        source_url:
          type: string
          description: The source URL parameter passed when activating the Text product.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````